curl --request GET \
--url https://api.exowpee.com/v1/customer/customer-credit-payments/{customerCreditPayment} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.exowpee.com/v1/customer/customer-credit-payments/{customerCreditPayment}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.exowpee.com/v1/customer/customer-credit-payments/{customerCreditPayment}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.exowpee.com/v1/customer/customer-credit-payments/{customerCreditPayment}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.exowpee.com/v1/customer/customer-credit-payments/{customerCreditPayment}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.exowpee.com/v1/customer/customer-credit-payments/{customerCreditPayment}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.exowpee.com/v1/customer/customer-credit-payments/{customerCreditPayment}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"customer_id": "<string>",
"source": "<string>",
"cash_register_id": "<string>",
"amount": 123,
"currency_code": "<string>",
"currency_exponent": 123,
"original_amount": 123,
"original_currency_code": "<string>",
"original_currency_exponent": 123,
"conversion_snapshot": {},
"actual_fee_amount": 123,
"register_payment_method_id": "<string>",
"payment_method": "<string>",
"money_account_id": "<string>",
"cash_account_id": "<string>",
"payment_date": "2023-11-07T05:31:56Z",
"reference": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}View a customer payment
Shows one payment made by a customer toward their credit balance.
curl --request GET \
--url https://api.exowpee.com/v1/customer/customer-credit-payments/{customerCreditPayment} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.exowpee.com/v1/customer/customer-credit-payments/{customerCreditPayment}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.exowpee.com/v1/customer/customer-credit-payments/{customerCreditPayment}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.exowpee.com/v1/customer/customer-credit-payments/{customerCreditPayment}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.exowpee.com/v1/customer/customer-credit-payments/{customerCreditPayment}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.exowpee.com/v1/customer/customer-credit-payments/{customerCreditPayment}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.exowpee.com/v1/customer/customer-credit-payments/{customerCreditPayment}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"customer_id": "<string>",
"source": "<string>",
"cash_register_id": "<string>",
"amount": 123,
"currency_code": "<string>",
"currency_exponent": 123,
"original_amount": 123,
"original_currency_code": "<string>",
"original_currency_exponent": 123,
"conversion_snapshot": {},
"actual_fee_amount": 123,
"register_payment_method_id": "<string>",
"payment_method": "<string>",
"money_account_id": "<string>",
"cash_account_id": "<string>",
"payment_date": "2023-11-07T05:31:56Z",
"reference": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}customer_credit_payments.retrieve
Part of Collect customer credit.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifier of the customer payment.
Query Parameters
Response mode. Default resource; none answers 204 No Content.
resource Comma-separated JSON keys of the root resource (id is always rendered). Available: id, customer_id, source, cash_register_id, amount, currency_code, currency_exponent, original_amount, original_currency_code, original_currency_exponent, conversion_snapshot, actual_fee_amount, register_payment_method_id, payment_method, money_account_id, cash_account_id, payment_date, reference, description, created_at, updated_at.
Comma-separated include paths, each optionally followed by its fields in parentheses: units(id,sku),units.uomUnit(id,name). Max depth 6, max 40 paths. Available: .
Response
Resource.
Identifier of the payment.
Customer who paid.
Where the payment was taken: cash_register.
Register where the payment was taken.
Amount received, converted into the company currency, in minor units of currency_code.
Company currency, in which amount is expressed.
Number of decimal places of the company currency.
Amount as the customer paid it, in minor units of original_currency_code.
Currency the customer paid in.
Number of decimal places of that currency.
Exchange rate details used to convert the payment into the company currency, as recorded in the accounts.
Fee the operator actually took, in minor units, when one was given.
Register payment method that received the money.
Kind of payment: cash, credit_card, bank_transfer, mobile_money or cheque.
Money account linked to the register payment method that received the money, when that method has one.
Cash account that received the money, for cash payments.
Moment the payment was recorded.
Your reference for the payment.
Note kept on the payment.
Date and time the record was created (ISO 8601, UTC).
Date and time the record was last changed (ISO 8601, UTC).